Bug 50314 - Installer quit gracefully while loading anaconda
Installer quit gracefully while loading anaconda
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-30 07:31 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-30 07:55:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-07-30 07:31:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (WinNT; U)

Description of problem:
When reintalling the Redhat linux 7.1 to my personal computer without 
re-format the hardisk and re-install additional packages as the my previous 
configuration, the installer cannot be completed the installation. The 
attachement is the findings. I think it must been something in relation to 
root's password over-writting.

How reproducible:
Always

Steps to Reproduce:
1. Boot Redhat 7.1's CDROM
2. Without Re-format the previous partition
3. No packages is choose
	

Actual Results:  Imcompletion installation and quit gracefully.

Expected Results:  Installation Completion

Additional info:

Traceback (innermost last):
File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/progress_gui.py", line 
19, in run
rc = self.todo.doInstall ()
File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1965, in 
doInstall
self.writeConfiguration ()
File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1659, in 
writeConfiguration
self.writeRootPassword ()
File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 904, in 
writeRootPassword
self.setPassword("root", pure)
File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1481, in 
setPassword
stdout = '/dev/null', stderr = None)
File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iutil.py", line 48, in 
execWithRedirect
raise RuntimeError, command + " can not be run"
RuntimeError: /usr/sbin/usermod can not be run

Local variables in innermost frame:
argv: ['/usr/sbin/usermod', '-p', '$1$M9CcRPgy$0FuofsDHB1EKTozVd4QaT0', 
'root']
root: /mnt/sysimage
stdin: 0
newPgrp: 0
stdout: 23
stderr: 24
command: /usr/sbin/usermod
searchPath: 0
ignoreTermSigs: 0

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(igui
ProgressWindow
(dp5
S'total'
p6
I117
sS'window'
p7
(igtk
GtkWindow
(dp8
S'_o'
p9

<failed>
Comment 1 Brent Fox 2001-08-06 11:02:15 EDT
Doing an install without formatting partitions (with the exception of the /home
partition if you have one) is not going to work.  Otherwise, you will probably
be left with a jumble of files from the previous install and the new install. 
Please reopen this bug if you still see this problem after trying an install
where you format the partitions.

Note You need to log in before you can comment on or make changes to this bug.